IM_FMASKPROF(3X)

NAME
im_flt_imag_freq - filter a square image in the frequency domain

SYNOPSIS
#include <vips/vips.h> int
im_flt_imag_freq( IMAGE *in, IMAGE *out, int flag, double p1, ... )

DESCRIPTION
im_flt_imag_freq() filters an image in the frequency domain using a mask dictated by the flag and the parameters p1, ... The mask is created by using the function im_create_fmask(3X). After creating the mask the program filters the input image using the function im_freqflt(3X). For details about the arguments refer to the function im_create_fmask(3X).

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
flt_image_freq(1), im_freqflt(3X).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/08/1991